@BearWithBeard Hello ! I'm new to the forum. I just found out about MySensors today actually. I tried making my first gateway, and had the same exact problem as @skom A quick search brought me here. Looks like downgrading the ESP Board Library to 2.7.4 works fine indeed. Thank you sir. I love the Internet, and I love you guys.